import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import greenfoot.core.WorldHandler;
import javax.swing.*;
import java.awt.Cursor;
import java.awt.Point;
import java.awt.Toolkit;

public class world  extends World
{
    JPanel Pan = WorldHandler.getInstance().getWorldCanvas();  
    /** The new Cursor */
    Cursor NewCursor;

    public world()
    {
        super(500, 400, 1, false);
        /** You need a toolkit to Create a completly new Cursor */
        Toolkit Tk = Toolkit.getDefaultToolkit();
        /** The Cursor Point, where the cursor have to click from the left uppon corner of the Cursor Picture */
        Point CursorPoint= new Point(0,0);
        /** Now you create the new Cursor */
        NewCursor = 
            /** With the Toolkit you can Create a new Cursor */
        Tk.createCustomCursor(
            /** The Image, the Cursor should have, if you wont to clear the Cursor it have to be an empty Image */
            new GreenfootImage(5,5).getAwtImage(),
            /** The Cursor Point */
            CursorPoint,
            /** A Name for the new Cursor */
            "Somehow");
    }

    public void act()
    {
        /** Sets the Cursor Image to the New Cursor */
        Pan.setCursor(NewCursor);
    }
    
    
    /** Or you use this Method: 
     * The image is the image, that you want the mouse to have.(The mouse has a maximum width and height for her image, if the image is too large it will be scaled on the right size)
     * XClick and YClick is the Location on the Picture where the mouse will Click */
    public void ChangeMouseImage(GreenfootImage image, int XClick, int yClick)
    {
        JPanel Panel = WorldHandler.getInstance().getWorldCanvas();
        Cursor Cursor;
        Toolkit Tk = Toolkit.getDefaultToolkit();
        Point CursorPoint= new Point(0,0);
        Cursor = Tk.createCustomCursor(image.getAwtImage(),CursorPoint,"Somehow");
        Panel.setCursor(Cursor);
    }
}